Index: src/uk/me/parabola/splitter/ProblemListProcessor.java
===================================================================
--- src/uk/me/parabola/splitter/ProblemListProcessor.java	(revision 420)
+++ src/uk/me/parabola/splitter/ProblemListProcessor.java	(working copy)
@@ -89,7 +89,7 @@
 		this.problemRels = problemRels;
 		this.oneTileOnlyRels = oneTileOnlyRels;
 		if (boundaryTagList != null && boundaryTagList.length > 0)
-			wantedBoundaryTagValues = new HashSet<String>(Arrays.asList(boundaryTagList));
+			wantedBoundaryTagValues = new HashSet<>(Arrays.asList(boundaryTagList));
 		else 
 			wantedBoundaryTagValues = null;
 	}
@@ -218,9 +218,11 @@
 		}
 	}
 	// default exclude list for boundary tag
-	private final static HashSet<String> unwantedBoundaryTagValues = new HashSet<String>(
+	private final static HashSet<String> unwantedBoundaryTagValues = new HashSet<>(
 			Arrays.asList("administrative", "postal_code", "political"));
 
+	private final static HashSet<String> harmlessBoundaryAdminLevels = new HashSet<>(
+			Arrays.asList("11", "10", "9", "8", "7", "6", "5")); 
 	@Override
 	public void processRelation(Relation rel) {
 		if (phase == PHASE1_NODES_AND_WAYS)
@@ -230,6 +232,7 @@
 		boolean hasBoundaryTag = false;
 		boolean isWantedBoundary = (wantedBoundaryTagValues == null) ? true:false;
 		Iterator<Element.Tag> tags = rel.tagsIterator();
+		String admin_level = null;
 		while(tags.hasNext()) {
 			Element.Tag t = tags.next();
 			if ("type".equals(t.key)) {
@@ -248,6 +251,8 @@
 					if (unwantedBoundaryTagValues.contains(t.value))
 						isWantedBoundary = false;
 				}
+			} else if ("admin_level".equals(t.key)){
+				admin_level = t.value;
 			}
 			
 			if (useThis)
@@ -255,6 +260,10 @@
 		}
 		if (isMPRelType && (isWantedBoundary || hasBoundaryTag == false))
 			useThis = true;
+		else if (isMPRelType && hasBoundaryTag  && admin_level != null){
+			if (harmlessBoundaryAdminLevels.contains(admin_level))
+				useThis = true;
+		}
 		if (!useThis){
 			return;
 		}
